org.modeshape.jcr.index.local

## Class ManagedLocalIndexBuilder.SingleColumnIndexBuilder<T>

- java.lang.Object
- - org.modeshape.jcr.index.local.ManagedLocalIndexBuilder<T>
  - - org.modeshape.jcr.index.local.ManagedLocalIndexBuilder.SingleColumnIndexBuilder<T>

- Enclosing class:
    ManagedLocalIndexBuilder<T>

      protected static class ManagedLocalIndexBuilder.SingleColumnIndexBuilder<T>
      extends ManagedLocalIndexBuilder<T>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.index.local.ManagedLocalIndexBuilder

      `ManagedLocalIndexBuilder.SingleColumnIndexBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.index.local.ManagedLocalIndexBuilder

      `context, defn, matcher, nodeTypesSupplier, serializers`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ManagedLocalIndexBuilder.SingleColumnIndexBuilder(ExecutionContext context, IndexDefinition defn, NodeTypes.Supplier nodeTypesSupplier, ChangeSetAdapter.NodeTypePredicate matcher, PropertyType actualPropertyType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagedLocalIndex` | `build(String workspaceName, org.mapdb.DB db)` Build the managed index.
    `protected org.mapdb.BTreeKeySerializer<T>` | `getBTreeKeySerializer()`
    `protected PropertyType` | `getColumnType()`
    `protected Comparator<T>` | `getComparator()`
    `protected IndexValues.Converter<T>` | `getConverter()`
    `protected org.mapdb.Serializer<T>` | `getSerializer()`
    `protected Class<T>` | `getValueClass()`
    `protected boolean` | `isMixinTypesIndex()`
    `protected boolean` | `isNodeDepthIndex()`
    `protected boolean` | `isNodeLocalNameIndex()`
    `protected boolean` | `isNodeNameIndex()`
    `protected boolean` | `isNodePathIndex()`
    `protected boolean` | `isNodeTypesIndex()`
    `protected boolean` | `isPrimaryTypeIndex()`
    `void` | `validate(Problems problems)` Validate whether the index definition is acceptable for this provider.

    - ### Methods inherited from class org.modeshape.jcr.index.local.ManagedLocalIndexBuilder

      `create, determineActualPropertyType, firstColumn, getNodeTypesSupplier, hasSingleColumn, indexName, isType, isType, matches, matches, name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedLocalIndexBuilder.SingleColumnIndexBuilder

          protected ManagedLocalIndexBuilder.SingleColumnIndexBuilder(ExecutionContext context,
                                                           IndexDefinition defn,
                                                           NodeTypes.Supplier nodeTypesSupplier,
                                                           ChangeSetAdapter.NodeTypePredicate matcher,
                                                           PropertyType actualPropertyType)

  - ### Method Detail

    - #### getSerializer

          protected org.mapdb.Serializer<T> getSerializer()

      Specified by:
        `getSerializer` in class `ManagedLocalIndexBuilder<T>`

    - #### getBTreeKeySerializer

          protected org.mapdb.BTreeKeySerializer<T> getBTreeKeySerializer()

      Specified by:
        `getBTreeKeySerializer` in class `ManagedLocalIndexBuilder<T>`

    - #### getComparator

          protected Comparator<T> getComparator()

      Specified by:
        `getComparator` in class `ManagedLocalIndexBuilder<T>`

    - #### getValueClass

          protected Class<T> getValueClass()

      Specified by:
        `getValueClass` in class `ManagedLocalIndexBuilder<T>`

    - #### getColumnType

          protected PropertyType getColumnType()

    - #### getConverter

          protected IndexValues.Converter<T> getConverter()

      Specified by:
        `getConverter` in class `ManagedLocalIndexBuilder<T>`

    - #### isNodeTypesIndex

          protected boolean isNodeTypesIndex()

      Overrides:
        `isNodeTypesIndex` in class `ManagedLocalIndexBuilder<T>`

    - #### isPrimaryTypeIndex

          protected boolean isPrimaryTypeIndex()

      Overrides:
        `isPrimaryTypeIndex` in class `ManagedLocalIndexBuilder<T>`

    - #### isMixinTypesIndex

          protected boolean isMixinTypesIndex()

      Overrides:
        `isMixinTypesIndex` in class `ManagedLocalIndexBuilder<T>`

    - #### isNodeNameIndex

          protected boolean isNodeNameIndex()

      Overrides:
        `isNodeNameIndex` in class `ManagedLocalIndexBuilder<T>`

    - #### isNodeLocalNameIndex

          protected boolean isNodeLocalNameIndex()

      Overrides:
        `isNodeLocalNameIndex` in class `ManagedLocalIndexBuilder<T>`

    - #### isNodeDepthIndex

          protected boolean isNodeDepthIndex()

      Overrides:
        `isNodeDepthIndex` in class `ManagedLocalIndexBuilder<T>`

    - #### isNodePathIndex

          protected boolean isNodePathIndex()

      Overrides:
        `isNodePathIndex` in class `ManagedLocalIndexBuilder<T>`

    - #### validate

          public void validate(Problems problems)

      Description copied from class: `ManagedLocalIndexBuilder`
      Validate whether the index definition is acceptable for this provider.
      Specified by:
        `validate` in class `ManagedLocalIndexBuilder<T>`
      Parameters:
        `problems` - the component to record any problems, errors, or warnings; may not be null

    - #### build

          public ManagedLocalIndex build(String workspaceName,
                                org.mapdb.DB db)
                                  throws LocalIndexException

      Description copied from class: `ManagedLocalIndexBuilder`
      Build the managed index.
      Specified by:
        `build` in class `ManagedLocalIndexBuilder<T>`
      Parameters:
        `workspaceName` - the name of the workspace; may not be null
        `db` - the local database; may not be null
      Returns:
        the managed local index
      Throws:
        `LocalIndexException` - if there is a problem creating the index

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.